<table id="pricingConfigurationTemplates" ng-show="$ctrl.utilizationSelected" class="table table-bordered listViewEntriesTable templatesMaxWidth70">
    <thead>
        <tr>
            <th ng-repeat="header in $ctrl.headerTitles track by $index">
                {{header}}
                <a ng-show="$ctrl.showColumnButton(header)" ng-click="$ctrl.addColumn(header)">
                    <i title="Aggiungi Colonna" class="glyphicon glyphicon-plus"></i>
                </a>
            </th>
            <th>
                <div style="display: flex; align-items: start; flex-direction: column;">
                    <a ng-click="$ctrl.addNewLine()">
                        <i title="Aggiungi Linea" class="glyphicon glyphicon-indent-left"></i>
                    </a>
                </div>
            </th>
        </tr>
    </thead>
    <tbody>
        <tr mdbTableCol ng-repeat="configurazione in $ctrl.configurationList track by $index">
            <form name="formGroup" novalidate>
                <td ng-repeat="col in $ctrl.tBodyColumns">
                    <md-input-container ng-show="!$ctrl.showConfInput(col)" style="flex: 1 1 100%; box-sizing: border-box;">
                        <input  name="col" type="text" class="form-control"
                            aria-label="label" ng-model="configurazione[col]">
                    </md-input-container>
                    <md-input-container ng-show="$ctrl.showConfInput(col)" style="flex: 1 1 100%; box-sizing: border-box;">
                        <input  name="col" type="text" class="form-control"
                            aria-label="label" ng-model="configurazione[col]">
                    </md-input-container>
                </td>
                <td class="flexRowCenterSpaceBtw">
                    <a ng-click="$ctrl.addNewLine(configurazione)">
                        <i title="Copia Configurazione" class="glyphicon glyphicon-paste"></i>
                    </a>
                    <a ng-click="$ctrl.removeLine($index)">
                        <i title="Rimuovi Configurazione" class="glyphicon glyphicon-trash"></i>
                    </a>
                </td>
            </form>
        </tr>
    </tbody>
</table>